summaryrefslogtreecommitdiffstats
path: root/tools/memory/collect_b2g_uss_data.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/memory/collect_b2g_uss_data.sh')
-rw-r--r--tools/memory/collect_b2g_uss_data.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/tools/memory/collect_b2g_uss_data.sh b/tools/memory/collect_b2g_uss_data.sh
new file mode 100644
index 000000000..15b911b8f
--- /dev/null
+++ b/tools/memory/collect_b2g_uss_data.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+if [ $# -ne 2 ]
+then
+ echo "Usage: `basename $0` <app title> <output_file.csv>"
+ exit 1
+fi
+
+while true
+do
+ sample=`adb shell b2g-procrank | grep "^${1}" | awk '{ print $6 }' | sed 's/.$//'`
+ echo "$sample"
+ echo "$sample" >> "$2"
+ sleep 1
+done
+